Author Topic: HVAC duct break rotuine  (Read 2966 times)

0 Members and 1 Guest are viewing this topic.

CADmister

  • Guest
HVAC duct break rotuine
« on: January 06, 2005, 02:34:33 PM »
I am seeking a break symbol for HVAC duct work. The symbol is for rectangular duct. Anyone know where I can find one...thank you

Anonymous

  • Guest
HVAC duct break rotuine
« Reply #1 on: January 10, 2005, 01:31:18 PM »
This is what the symbol looks like.



------------------------------------    Point A start
                                           \
                                          \
                                        \
                                       \
                                      \
                                    \            (This should be the mid point)
                                   \  \
                                  \     \
                                \        \
                               \           \
                             \               \
-------------------------------------   Point B end


The cad user picks A location and then B location to  establish the height of the symbol similar to a pipe break symbol. I came across this rotuine some time ago and have not been able to locate it since.

Thanks

TJAM51

  • Guest
HVAC duct break rotuine
« Reply #2 on: January 10, 2005, 01:36:47 PM »
I have posted a dwg file (2004) on the swamp.org under a folder called Rect Duct Break. I believe this is what all are seeking.



[/code][/list][/url]

paulmcz

  • Bull Frog
  • Posts: 202
HVAC duct break rotuine
« Reply #3 on: January 11, 2005, 10:09:56 PM »
Try this:

Code: [Select]
(defun tan (xx)
  (/ (sin xx) (cos xx))
)

(defun c:db (/ a b d1 d2 u1 u2 u3 p1 p2)

  (setq oerr *error*)
  (defun *error* (msg)
    (setvar "osmode" osn)
    (setq *error* oerr)
    (command)
    (princ)
  )

  (setq osn (getvar "osmode"))
  (setvar "osmode" 512)
  (setq a (getpoint "\n Point on the duct: "))
  (setvar "osmode" 128)
  (setq b (getpoint a "\n Point on opposite wall of duct: "))
  (setq d1 (distance a b))
  (setvar "osmode" 512)
  (setq u1 (angle a b))
  (setq u2 (+ u1 (* pi 0.5)))
  (setq u3 (+ u2 (/ pi 3)))
  (setq p1 (polar b u2 (* d1 (tan (/ pi 6)))))
  (setq d2 (/ (distance a p1) 2))
  (setq p2 (polar b u3 d2))
  (setvar "osmode" 0)
  (command "_.line" a p1 "")
  (command "_.line" b p2 "")
  (setvar "osmode" osn)
  (princ)
)

(prompt "\n Type > db < to draw HVAC duct break: ")

CADmister

  • Guest
HVAC duct break rotuine
« Reply #4 on: January 12, 2005, 07:40:19 AM »
The routine is great except that the break symbol is drawn in the wrong direction........

Thanks

CADmister

  • Guest
HVAC duct break rotuine
« Reply #5 on: January 12, 2005, 07:44:59 AM »
I am sorry please allow me to clarify myself......I realize you set the routine up to break two continious lines and this routine is beautiful. Is there a way that the break could be placed at the end of two parallel lines as well.......thanks

paulmcz

  • Bull Frog
  • Posts: 202
HVAC duct break rotuine
« Reply #6 on: January 12, 2005, 05:31:00 PM »
The routine is designed to draw the break symbols on two parallel lines.
To draw the break symbol for the duct going horizontally from the left to the right with break on the right hand side, start with picking point on the duct at lower of the two lines.
Pick the second point right across the duct on the other line. It will snap to perp. from the first point and draw the symbol instantly.
If you want to interrupt the duct with two opposite symbols, hit the enter right after the first symbol is drawn and this time pick the first point at the upper and second on lower line for the symbol to be drawn to the right from the first one. Trim off the duct lines between symbols.
The symbols can be drawn on the duct going in any direction (or angle), even on the arched duct.
If you want, or if this is not clear enough, e-mail me and I can show you graphically how to go about it. It is very simple and fast.
Paul.
paulmcz@yahoo.com

paulmcz

  • Bull Frog
  • Posts: 202
HVAC duct break rotuine
« Reply #7 on: January 12, 2005, 08:39:47 PM »
P. S.
... if you want to draw the break symbol on very end of the line, change osnap (momentarily) to the endpoint only for the first picked point. Leave the second one to be perpendicular as the routine is set up. That way you ensure the symbol is properly aligned. If the second of the two parallel lines is too short or too long, you'd have to extend or trim it to connect it with the symbol.
P.